Bug 269601 - traceback running lokkit
traceback running lokkit
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-firewall (Show other bugs)
rawhide
All All
medium Severity high
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F8Test3
  Show dependency treegraph
 
Reported: 2007-08-30 17:43 EDT by Jeremy Katz
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-31 12:24:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/etc/selinux/config from the livecd (501 bytes, text/plain)
2007-08-31 09:17 EDT, Jeremy Katz
no flags Details

  None (edit)
Description Jeremy Katz 2007-08-30 17:43:48 EDT
Running lokkit when doing a live install gives
Traceback (most recent call last):
  File "/usr/sbin/lokkit", line 53, in <module>
    old_config = parseSELinuxArgs(selinux_args, options=old_config)
  File "/usr/share/system-config-firewall/fw_parser.py", line 167, in
parseSELinuxArgs
    return _parse_args(parser, args, options)
  File "/usr/share/system-config-firewall/fw_parser.py", line 148, in _parse_args
    (_options, _args) = parser.parse_args(args, options)
  File "/usr/lib/python2.5/optparse.py", line 1378, in parse_args
    stop = self._process_args(largs, rargs, values)
  File "/usr/lib/python2.5/optparse.py", line 1418, in _process_args
    self._process_long_opt(rargs, values)
  File "/usr/lib/python2.5/optparse.py", line 1493, in _process_long_opt
    option.process(opt, value, values, self)
  File "/usr/lib/python2.5/optparse.py", line 782, in process
    self.action, self.dest, opt, value, values, parser)
  File "/usr/lib/python2.5/optparse.py", line 786, in take_action
    setattr(values, dest, value)
AttributeError: 'list' object has no attribute 'selinux'
Comment 1 Thomas Woerner 2007-08-31 04:55:44 EDT
Please attach your selinux config file and the command line for lokkit, you were
using.
Comment 2 Jeremy Katz 2007-08-31 09:17:15 EDT
Created attachment 183301 [details]
/etc/selinux/config from the livecd

Pretty standard config; things would have been initially generated with
  /usr/sbin/lokkit -f --quiet --nostart --enabled
  /usr/sbin/lokkit -f --quiet --nostart --selinux=enabled

Then, running lokkit --help from the image gives the traceback.  There may have
also been a traceback on running one of the above commands when creating the
image, but I don't have a log of that handy; I'll check as I do another image
in a little bit.
Comment 3 Jeremy Katz 2007-08-31 10:08:38 EDT
Also happens during the install when we run lokkit
Comment 4 Thomas Woerner 2007-08-31 11:14:55 EDT
I can not reproduce the problem here. Do you have an image of the latest live CD
for me?

BTW: --selinux=enabled is not valid in the old and new lokkit:

  --selinux=<mode>      Configure SELinux mode: enforcing, permissive or
                        disabled
Comment 5 Jeremy Katz 2007-08-31 11:28:43 EDT
Ugh, I meant enforcing.  I just can't type what I read.  

I sent you a link to an image via IRC
Comment 6 Thomas Woerner 2007-08-31 12:24:18 EDT
Fixed in rawhide in package system-config-firewall-1.0.5-2.fc8.

Note You need to log in before you can comment on or make changes to this bug.